OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.MESA.ProgramBinaryFormats

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetMESAProgramBinaryFormats :: MonadIO m => m Bool
- gl_MESA_program_binary_formats :: Bool
- pattern GL_PROGRAM_BINARY_FORMAT_MESA :: GLenum

# Extension Support

glGetMESAProgramBinaryFormats :: MonadIO m => m Bool Source #

Is the MESA_program_binary_formats extension supported?

gl_MESA_program_binary_formats :: Bool Source #

Is the MESA_program_binary_formats extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetMESAProgramBinaryFormats` in those cases instead.

# Enums

pattern GL_PROGRAM_BINARY_FORMAT_MESA :: GLenum Source #